<?
//Автор: Алексей & TeaM ICQ 95-95-466
//Скрипт: VKRUGUKENTOV.ru
//Копирование,продажа,перепродажа без согласия автора строго запрещена и будет караться плачевными последствиями
//Соблюдайте авторские права
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title']='Поиск людей'; // заголовок страницы
include_once 'sys/inc/thead.php';
title();
echo "<div class='mytitle'>\n";
echo "".online($user['id'])." <a href='/'><span style=\"color:$user[ncolor]\">$user[nick]</span></a><br/>Результаты поиска\n";
echo "</div>\n";
echo "<div class='textmes'>\n";
echo "<div class=\"post\">\nПоиск людей (по нику или id)</div>\n";
echo "<form method=\"post\" action=\"/userssearch.php?go&amp;sort=$sort&amp;$por\">";
$usearch=stripcslashes(htmlspecialchars($usearch));
echo "<input type=\"text\" name=\"usearch\" maxlength=\"16\" value=\"$usearch\" />\n";
echo "<input type=\"submit\" value=\"Найти\" />";
echo "</form>\n";
echo "</div>\n";
$sort='id';
$por='DESC';
if (isset($_GET['ASC']))$por='ASC'; 
if (isset($_GET['DESC']))$por='DESC'; 
if (!isset($_GET['go']))
{
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
}
$usearch=NULL;
if (isset($_SESSION['usearch']))$usearch=$_SESSION['usearch'];
if (isset($_POST['usearch']))$usearch=$_POST['usearch'];

if ($usearch==NULL)
unset($_SESSION['usearch']);
else
$_SESSION['usearch']=$usearch;
$usearch=preg_replace("#( ){1,}#","",$usearch);

if (isset ($_GET['go']) && $usearch!=NULL)
{
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `nick` like '%".mysql_escape_string($usearch)."%' OR `id` = '".intval($usearch)."'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";

if ($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='komm'>\n";
echo "Система не обнаружила совпадений с вашим запросом,попробуйте еще.. =)))\n";
echo "  </td>\n";
echo "   </tr>\n";
}
$q=mysql_query("SELECT `id` FROM `user` WHERE `nick` like '%".mysql_escape_string($usearch)."%' OR `id` = '".intval($usearch)."' ORDER BY `$sort` $por LIMIT $start, $set[p_str]");
while ($ank = mysql_fetch_assoc($q))
{
$ank=get_user($ank['id']);
echo "   <tr>\n";
echo '<tr><td class="line">';
onfoto($ank['id']);
echo " <a href='/info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\"><b>$ank[nick]</b></span></a> \n";
//if ($ank['group_access']>1)echo "<span class='status'>$ank[group_name]</span><br />\n";
echo "<br/>\n";
echo "".online($ank['id'])."\n";
echo "<font color='#9a9795'>".vremja($ank['date_last'])."</font><br />\n";
if ($ank['ank_city']!=NULL)echo " <font color='#424140'>$ank[ank_city]</font><br />\n";
else
echo " <font color='#8f8c85'>Город не указан</font><br />\n";
echo '</td></tr>';
$status=mysql_query("SELECT * FROM `dnev` WHERE `id_user` = '$ank[id]' ORDER BY `time` DESC  LIMIT 1");

while ($dnev = mysql_fetch_assoc($status))
{
echo "<td class='hello' colspan='2'><font color='#38386a'>$dnev[name]</font>\n";
}
echo '</td></tr>';

}
echo "</table>\n";
if ($k_page>1)str("userssearch.php?go&amp;sort=$sort&amp;$por&amp;",$k_page,$page); 
}
include_once 'sys/inc/tfoot.php';
//Автор: Алексей & TeaM ICQ 95-95-466
//Скрипт: VKRUGUKENTOV.ru
//Копирование,продажа,перепродажа без согласия автора строго запрещена и будет караться плачевными последствиями
//Соблюдайте авторские права
?>